# boost::numeric::ublas::traverse_policy::by_column_policy< Wrap > Class Template Reference

The column_by_column traverse policy. More...

Inherits traverse_policy_wrapper< by_column_policy< Wrap > >.

List of all members.

## Static Public Member Functions

template<typename S1 , typename S2 >
static BOOST_UBLAS_INLINE void | advance (S1 &i, S2 &)
template<class E1 , class E2 , typename S1 , typename S2 , typename S3 , typename S4 , typename S5 >
static BOOST_UBLAS_INLINE bool | next (const E1 &e, const E2 &me, S1 &i, S2 &j, const S3 &i0, const S3 &, S4 &k, S5 &l)
template<class E , typename S1 , typename S2 >
static BOOST_UBLAS_INLINE void | apply_wrap (const E &e, S1 &i, S2 &j)

## Detailed Description

### template<class Wrap = wrap>
class boost::numeric::ublas::traverse_policy::by_column_policy< Wrap >

This policy is used when the assignment is desired to happen column_major wise, for performance or other reasons.

This is the NOT the default behaviour. To set this as the default define BOOST_UBLAS_DEFAULT_ASSIGN_BY_COLUMN in the compilation options or in an adequate header file.

Please see EXAMPLES_LINK for usage information.